Cyberduck Mountain Duck CLI

#12 closed defect (fixed)

Excessive CPU usage downloading many files

Reported by: derrick@… Owned by: dkocher
Priority: high Milestone: 2.5.4
Component: core Version: 2.5.3
Severity: major Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

CyberDuck 2.5.2 uses lots of CPU when downloading many small files. The output from sample indicates that all the time is being spent in a routine called Java_ch_cyberduck_core_Local_setIconFromFile which calling into routines doing all sorts of JPEG processing! (I'm downloading a directory of several thousand small files via sftp.)

Change History (8)

comment:1 Changed on Nov 22, 2005 at 10:35:44 AM by feedback@…

  • Owner changed from dkocher to anonymous
  • Status changed from new to assigned

Asa workaround you can disable the updating of the icon in the Finder.app using the following command (from Terminal.app)

defaults write ch.sudo.cyberduck queue.download.updateIcon false

comment:2 Changed on Nov 22, 2005 at 11:44:22 AM by dkocher

  • Description modified (diff)
  • Owner changed from anonymous to dkocher
  • Status changed from assigned to new

comment:3 Changed on Nov 22, 2005 at 11:45:03 AM by dkocher

  • Status changed from new to assigned

comment:4 Changed on Dec 20, 2005 at 12:27:50 PM by dkocher

  • Priority changed from normal to high
  • Severity changed from normal to major

comment:5 Changed on Jan 16, 2006 at 12:07:57 PM by dkocher

  • Milestone changed from 2.6 to 2.5.4
  • Version set to 2.5.3

comment:6 Changed on Jan 16, 2006 at 12:19:13 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:7 Changed on Mar 17, 2010 at 7:00:53 PM by godvin

visit these sites for meeting - http://putana001.co.cc http://putana002.co.cc http://putana003.co.cc http://putana004.co.cc http://putana005.co.cc just be careful! Привет из России :)

comment:8 Changed on Mar 17, 2010 at 9:21:41 PM by pornik

Thank you very much for creating these sites - http://putana006.co.cc http://putana007.co.cc http://putana008.co.cc http://putana009.co.cc http://putana010.co.cc nothing more beautiful than I have not met

Note: See TracTickets for help on using tickets.
swiss made software